View all methods
platformx.projects.create
Create a PlatformX project.
Facts
| Method | POST https://api.getdx.com/platformx.projects.create |
| Required scope | platformx:manage |
Arguments (required)
| Name | Type | Description |
|---|---|---|
name |
Text |
Name of the PlatformX project. |
creator_id |
Text |
The ID of the user to be listed as the creator. This is a user’s source_id in Datacloud dx_users. |
Arguments (optional)
| Name | Type | Description |
|---|---|---|
hidden |
Boolean |
Whether the project is hidden or not. Defaults to false. |
webhook_destination_url |
Text |
URL for webhooks to be sent to upon completion of a PlatformX survey for this project. |
Example request
This is a typical request:
curl -X POST https://api.getdx.com/platformx.projects.create \
-H "Authorization: Bearer xxxx-xxxxxxxxx-xxxx" \
-H "Content-Type: application/json" \
-d '{
"name": "GenAI events",
"creator_id": "MjM",
"hidden": false,
"webhook_destination_url": "https://example.com/webhook"
}'
Example response
This is a typical success response:
{
"ok": true,
"project": {
"id": "MTYxMA",
"name": "GenAI events",
"creator_id": "MjM",
"hidden": false,
"webhook_destination_url": "https://example.com/webhook",
"created_at": "2025-12-16T18:53:12Z",
"updated_at": "2025-12-16T18:53:12Z",
"token": "RPqeEyRyZt8wNkhEpuvygb6JFYsyRiLq"
}
}
Errors
This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.
| Error | Description |
|---|---|
not_authed |
No authentication token provided. |
invalid_auth |
Some aspect of authentication cannot be validated. |
name_blank |
Name of project is blank. |
creator_id_blank |
Creator ID param is blank. |
creator_id_not_found |
Creator ID not found for account. |